io.vertx.rxjava3.ext.shell

## Class Shell

- java.lang.Object
- - io.vertx.rxjava3.ext.shell.Shell

-     public class Shell
      extends Object

  An interactive session between a consumer and a shell.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Shell>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shell(Object delegate)`
    `Shell(Shell delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the shell.
    `Job` | `createJob(List<CliToken> line)` Create a job, the created job should then be executed with the `Job.run()` method.
    `Job` | `createJob(String line)` See `createJob(java.util.List<io.vertx.rxjava3.ext.shell.cli.CliToken>)`
    `boolean` | `equals(Object o)`
    `Shell` | `getDelegate()`
    `int` | `hashCode()`
    `JobController` | `jobController()`
    `static Shell` | `newInstance(Shell arg)`
    `Session` | `session()`
    `void` | `setPrompt(java.util.function.Function<Session,String> prompt)` Set a new prompt in this session.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Shell> __TYPE_ARG

  - ### Constructor Detail

    - #### Shell

          public Shell(Shell delegate)

    - #### Shell

          public Shell(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Shell getDelegate()

    - #### createJob

          public Job createJob(List<CliToken> line)

      Create a job, the created job should then be executed with the `Job.run()` method.
      Parameters:
        `line` - the command line creating this job
      Returns:
        the created job

    - #### createJob

          public Job createJob(String line)

      See `createJob(java.util.List<io.vertx.rxjava3.ext.shell.cli.CliToken>)`
      Parameters:
        `line` -
      Returns:

    - #### jobController

          public JobController jobController()

      Returns:
        the shell's job controller

    - #### session

          public Session session()

      Returns:
        the current shell session

    - #### setPrompt

          public void setPrompt(java.util.function.Function<Session,String> prompt)

      Set a new prompt in this session.
      Parameters:
        `prompt` - the new prompt will be calculated when it's needed.

    - #### close

          public void close()

      Close the shell.

    - #### newInstance

          public static Shell newInstance(Shell arg)

Copyright © 2024 Eclipse. All rights reserved.